> For the complete documentation index, see [llms.txt](https://docs.buzzy.buzz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.buzzy.buzz/developing-and-extending-buzzy/buzzy-rest-api/rest-api/enforceteammembership.md).

# enforceteammembership

### description

enforces that a user has ONLY the specified team membership

Note: the user making this callust have organization or team admin rights to be able to add users to a team

### parameters

The `X-Auth-Token` and `X-User-Id` are derived from the values `authToken` and `userId` returned from the login endpoint and are used in the HTTP header.

```
{

"teamIDs":[ "<team id 1>","<team id 2>"],
"email":"<email of user>"

}






```

### response

Returns the status of the request

### example

```
POST /api/enforceteammembership 
X-Auth-Token:<insert token here>
X-User-Id:<insert user id here>

{
	"teamIDs":["<teamid1>", "<teamid2>"],
	"email": "email1@test.com"
}
```

You should get back:

```
{
    "status": "success",
}
```

***
